## hachoir 3.1.0+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Hachoir.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Hachoir.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Hachoir"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Hachoir"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
hachoir (3.1.0+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:04:03 +0100

hachoir (3.1.0+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-urwid.
    + hachoir: Drop versioned constraint on python3-urwid in Depends.

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jun 2022 17:39:23 -0400

hachoir (3.1.0+dfsg-3) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * d/control: Fix wrong Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Sep 2020 17:24:45 +0200

hachoir (3.1.0+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Sep 2020 17:22:43 +0200

hachoir (3.1.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Andrej Shadura ]
  * New upstream version.
  * New maintainer.
  * Install version.py as a temporary shim to unbreak the wx UI.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 28 Dec 2019 20:50:58 +0100

hachoir-core (1.3.3-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in the package description.

  [ Michel Casabona ]
  * bump Standards-Version to 3.9.5
  * debian/{control,rules}
    - Switch to dh_python2
  * debian/{compat,control}
    - Bump debhelper compatibility level to 9

 -- Michel Casabona <michel.casabona@free.fr>  Mon, 15 Sep 2014 00:34:23 +0200

hachoir-core (1.3.3-3) unstable; urgency=low

  * Suggests python-profiler which is in non-free instead of Recommends
    Thanks to Mike Hommey. (Closes: #604039)
  * bump Standards-Version to 3.9.1
    - reference GPL-2 in the copyright file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Michel Casabona <michel.casabona@free.fr>  Thu, 25 Nov 2010 00:20:03 +0100

hachoir-core (1.3.3-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Remove --single-version-externally-managed from debian/rules
    (Closes: #577326)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 18 May 2010 21:11:22 +0200

hachoir-core (1.3.3-1) unstable; urgency=low

  [ Michel Casabona ]
  * New upstream release
    - support Python 2.6 (kill some Python warnings)
  * bump Standards-Version to 3.8.4
  * debian/control:
    - Depends on ${misc:Depends}
    - Build-Depends-Indep on python-all instead of python-all-dev
    - new Homepage
  * debian/rules install egg-info directories

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Michel Casabona <michel.casabona@free.fr>  Tue, 02 Mar 2010 21:24:02 +0100

hachoir-core (1.2-1) unstable; urgency=low

  * New upstream release
  * bump Standards-Version to 3.8.0

 -- Michel Casabona <michel.casabona@free.fr>  Sun, 28 Sep 2008 17:21:50 +0200

hachoir-core (1.1-1) unstable; urgency=low

  [ Michel Casabona ]
  * New upstream release
  * debian/copyright: change (C) line format for lintian
  * ugrade Standards-Version to 3.7.3
  * Recommends python-profiler

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Michel Casabona <michel.casabona@free.fr>  Thu, 24 Apr 2008 01:28:46 +0200

hachoir-core (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Michel Casabona <michel.casabona@free.fr>  Thu, 12 Jul 2007 23:21:56 +0200

hachoir-core (0.9.0-1) unstable; urgency=low

  [ Michel Casabona ]
  * New upstream release

  [ Piotr Ożarowski ]
  * add debian/watch file

 -- Michel Casabona <michel.casabona@free.fr>  Sun, 06 May 2007 23:34:54 +0200

hachoir-core (0.7.2-1) unstable; urgency=low

  * New upstream release
  * python-setuptools is now optional, remove it from Build-Depends
  * hopefully upload to official Debian, closing ITP (Closes: #383845)

 -- Michel Casabona <michel.casabona@free.fr>  Sat, 27 Jan 2007 21:37:37 +0100

hachoir-core (0.7.0-2) UNRELEASED; urgency=low

  * convert to using python-support (instead of python-central)

 -- Michel Casabona <michel.casabona@free.fr>  Mon, 22 Jan 2007 15:41:47 +0100

hachoir-core (0.7.0-1) UNRELEASED; urgency=low

  * new upstream release
  * rename hachoir to hachoir-core

 -- Michel Casabona <michel.casabona@free.fr>  Tue, 19 Dec 2006 15:56:21 +0100

hachoir (0.6.1-1) UNRELEASED; urgency=low

  * new upstream release, split packages accordingly
  * source package automatically created by stdeb

 -- Michel Casabona <michel.casabona@free.fr>  Sun, 12 Nov 2006 19:44:08 +0100

hachoir (0.5.2) UNRELEASED; urgency=low

  * revert code to 0.5.2
  * fix debian package version number

 -- Michel Casabona <michel.casabona@free.fr>  Fri,  8 Sep 2006 19:57:57 +0200

hachoir (5.2+svn20060824-1) UNRELEASED; urgency=low

  * convert packaging to cdbs
  * merge latest svn
  * New upstream release

 -- Michel Casabona <michel.casabona@free.fr>  Thu, 24 Aug 2006 16:14:17 +0200

hachoir (0.5.1-0mca2) UNRELEASED; urgency=low

  * convert package to python-central

 -- Michel Casabona <michel.casabona@free.fr>  Wed, 23 Aug 2006 18:49:17 +0200

hachoir (0.5.1-0mca1) UNRELEASED; urgency=low

  * source package automatically created by stdeb

 -- Michel Casabona <michel.casabona@free.fr>  Wed, 23 Aug 2006 16:51:34 +0200

=== debian/control ===
Source: hachoir
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python
Build-Depends-Indep: python3-all, python3-setuptools, python3-urwid, python3-wxgtk4.0
Standards-Version: 4.5.1
Homepage: https://github.com/vstinner/hachoir
Vcs-Git: https://salsa.debian.org/python-team/packages/hachoir.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/hachoir

Package: hachoir
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-urwid,
 python3-wxgtk4.0
Provides: python3-hachoir
Breaks:
 python-hachoir-core,
 python-hachoir-metadata,
 python-hachoir-parser,
 python-hachoir-regex,
 python-hachoir-subfile,
 python-hachoir-urwid,
 python-hachoir-wx
Replaces:
 python-hachoir-core,
 python-hachoir-metadata,
 python-hachoir-parser,
 python-hachoir-regex,
 python-hachoir-subfile,
 python-hachoir-urwid,
 python-hachoir-wx
Description: Python framework to parse and edit binary files
 Hachoir is a Python library used to represent of a binary file as a tree of
 Python objects. Each object has a type, a value, an address, etc. The goal is
 to be able to know the meaning of each bit in a file.
 .
 Why using slow Python code instead of fast hardcoded C code? Hachoir has many
 interesting features:
  * Autofix: Hachoir is able to open invalid / truncated files
  * Lazy: Open a file is very fast since no information is read from file,
    data are read and/or computed when the user ask for it
  * Types: Hachoir has many predefined field types (integer, bit, string, etc.)
    and supports string with charset (ISO-8859-1, UTF-8, UTF-16, ...)
  * Addresses and sizes are stored in bit, so flags are stored as classic fields
  * Endian: You have to set endian once, and then number are converted in the
    right endian
  * Editor: Using Hachoir representation of data, you can edit, insert, remove
    data and then save in a new file.
 .
 Hachoir provides command-line tools using its parsers:
  * hachoir-grep: find a text pattern in a binary file
  * hachoir-metadata: get metadata from binary files
  * hachoir-strip: modify a file to remove metadata
  * hachoir-urwid: display the content of a binary file in text mode
  * hachoir-wx: display the content of a binary file in a GUI

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/hachoir-$1$2/,uversionmangle=s/-?(a\d|b\d|rc)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/vstinner/hachoir/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
